Bug 1158661 - please consider upgrading to llvm-3.5.0 for f21 too
Summary: please consider upgrading to llvm-3.5.0 for f21 too
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: llvm
Version: 21
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Adam Jackson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1123103 (view as bug list)
Depends On:
Blocks: F-ExcludeArch-ppc64le, PPC64LETracker
TreeView+ depends on / blocked
 
Reported: 2014-10-29 20:02 UTC by Fabrice Bellet
Modified: 2015-12-02 16:27 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-12-02 04:36:04 UTC


Attachments (Terms of Use)

Description Fabrice Bellet 2014-10-29 20:02:13 UTC
Hi!

I don't know if this is planned for Fedora 21 too, but I suggest upgrading llvm to version 3.5.0, as it resolves this error with FlightGear (tested with a local build of mesa+llvm-3.5.0) :

[bellet@helix ~]$ /usr/bin/fgfs
Enabling ATI viewport hack
Starting automatic scenery download/synchronization. Using built-in SVN support. Directory: '/home/bellet/.fgfs/TerraSync'.
environment init
KMA20 audio panel initialized
KI266 dme indicator #0 initialized
Electrical system initialized
LLVM ERROR: Cannot select: 0xd152990: i32 = truncate 0xd157de0 [ORD=231] [ID=69]
  0xd157de0: i128 = srl 0xd163cf0, 0xd162be0 [ORD=231] [ID=58]
    0xd163cf0: i128 = bitcast 0xd1635e0 [ORD=231] [ID=50]
      0xd1635e0: v4i32,ch = CopyFromReg 0xd2b4848, 0xd1639f0 [ORD=231] [ID=44]
        0xd1639f0: v4i32 = Register %vreg74 [ID=8]
    0xd162be0: i32 = Constant<64> [ID=38]
In function: main
Failed to load object Models/Buildings/brick-school.ac
Failed to load object Models/Buildings/bank-building.ac
Segmentation fault (core dumped)

Comment 1 Jens Petersen 2014-11-05 02:42:06 UTC
Hmm, llvm-3.5 seems to break ghc 7.6.3 badly on armv7hl (ie in Rawhide).

So I would prefer to wait with llvm-3.5 f21 until that is sorted out.
We are also in the F21 post-Beta phase now so it is rather late
for such a major version bump.

Comment 2 Jens Petersen 2014-11-19 10:36:07 UTC
llvm34 is now available in rawhide and working with ghc on arm.

Comment 3 Jens Petersen 2014-11-20 08:44:08 UTC
*** Bug 1123103 has been marked as a duplicate of this bug. ***

Comment 4 Zoltan Boszormenyi 2014-12-19 15:55:39 UTC
# yum --enablerepo="updates-testing" upgrade "llvm*" "mesa*"

...

Transaction check error:
  file /usr/share/llvm/cmake/LLVMConfig.cmake conflicts between attempted installs of llvm-devel-3.5.0-4.fc21.i686 and llvm-devel-3.5.0-4.fc21.x86_64

Comment 5 Josh Stone 2015-01-05 17:18:23 UTC
I got the same multilib conflict:

$ rpm -q llvm-devel
llvm-devel-3.4-15.fc21.x86_64
llvm-devel-3.4-15.fc21.i686

$ yum update
[...]
Transaction check error:
  file /usr/share/llvm/cmake/LLVMConfig.cmake conflicts between attempted installs of llvm-devel-3.5.0-5.fc21.i686 and llvm-devel-3.5.0-5.fc21.x86_64

Note this is live in updates, not just updates-testing any more.

As a workaround, it's fine for me to just remove llvm-devel.i686 for now...

Comment 6 Roy 2015-02-22 16:48:39 UTC
This multilib problem still exists today:

  file /usr/share/llvm/cmake/LLVMConfig.cmake conflicts between attempted installs of llvm-devel-3.5.0-6.fc21.i686 and llvm-devel-3.5.0-6.fc21.x86_64

As a Mesa developer, I need both packages to test changes with a variety of (32-bit and 64-bit, closed source and open souce) games and test suites.

Comment 7 Fedora End Of Life 2015-11-04 13:30:11 UTC
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 8 Fedora End Of Life 2015-12-02 04:36:14 UTC
Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.